﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightPerspective3D
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.globalCalendar.SelectedDate = DateTime.Today;
        }

        private void PreviousMonthButton_Click(object sender, RoutedEventArgs e)
        {
            
            ((Storyboard)this.Resources["CalendarStoryBoard"]).Begin();
            ((Storyboard)this.Resources["CalendarStoryBoard"]).Completed += (o1, e1) =>
            {
                ((PlaneProjection)this.globalCalendar.Projection).RotationX = 0;
                this.globalCalendar.SelectedDate = this.globalCalendar.SelectedDate.Value.AddMonths(-1);
                this.globalCalendar.DisplayDate = this.globalCalendar.SelectedDate.Value;
            };
        }

        private void NextMonthButton_Click(object sender, RoutedEventArgs e)
        {
            ((Storyboard)this.Resources["CalendarStoryBoard"]).Begin();
            ((Storyboard)this.Resources["CalendarStoryBoard"]).Completed += (o1, e1) =>
            {
                ((PlaneProjection)this.globalCalendar.Projection).RotationX = 0;
                this.globalCalendar.SelectedDate = this.globalCalendar.SelectedDate.Value.AddMonths(1);
                this.globalCalendar.DisplayDate = this.globalCalendar.SelectedDate.Value;
            };
        }

    }
}
